Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class BookDefinitionManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.BookDefinitionManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IBookDefinitionManager, IMenuDefinitionManager, Serializable, SessionBean

public class BookDefinitionManagerImpl
extends Object
implements SessionBean, IBookDefinitionManager, IMenuDefinitionManager

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`BookDefinitionManagerImpl()`

Method Summary
`NavigableInstance` | `addNavigable(CustomizationContext customizationContext, BookDefinitionId bookDefinitionId, NavigableDefinitionId navigableDefinitionId, int position, int alignment, boolean isDefault)` Add a Navigable definition (BookDefinition or PageDefinition) to an existing BookDefinition.
`BookDefinition` | `createBookDefinition(CustomizationContext customizationContext, BookDefinition bookDefinition)` Create a new book definition.
`MenuDefinition` | `createMenuDefinition(CustomizationContext customizationContext, MenuDefinition menuDefinition)` Creates a new MenuView Definition with its placeholders.
`void` | `deleteBookDefinition(CustomizationContext customizationContext, BookDefinitionId bookDefinitionId)` Methof for deleting a `BookDefinition` object given a supplied book definition identifier.
`void` | `deleteBookDefinitionWithCascade(CustomizationContext customizationContext, BookDefinitionId bookDefinitionId)` Delete the `BookDefinition` of the supplied book definition identifier and and all `BookInstance` objects associated with this book definition.
`void` | `deleteBookDefinitionWithReplacement(CustomizationContext customizationContext, BookDefinitionId deleteBookDefinitionId, BookDefinitionId replacementBookDefinitionId)` Delete an existing book definition and if it is in use replace it's use with thesupplied book defintion.
`void` | `deleteMenuDefinition(CustomizationContext customizationContext, MenuDefinitionId menuDefinitionId)` Delete a menu definition.
`void` | `deleteMenuDefinitionWithReplacement(CustomizationContext customizationContext, MenuDefinitionId deleteMenuDefinitionId, MenuDefinitionId replacementMenuDefinitionId)` Delete a menu definition and replace any uses of that menu with a replacement menu.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`BookDefinition` | `getBookDefinition(CustomizationContext customizationContext, BookDefinitionId bookDefinitionId)` Getter for returning a single `BookDefinition` object given a supplied book definition identifier.
`BookDefinition` | `getBookDefinition(CustomizationContext customizationContext, String definitionLabel, String webAppName)` Getter for returning a single `BookDefinition` object given a supplied book definition label.
`BookDefinition[]` | `getBookDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp.
`BookView` | `getBookView(CustomizationContext customizationContext, BookDefinitionId bookDefinitionId)` Getter for returning an immutable deep copy of a `BookView`.
`MenuDefinition` | `getMenuDefinition(CustomizationContext customizationContext, MenuDefinitionId menuDefinitionId)` Getter for returning a single `MenuDefinition` object given a supplied menu definition identifier.
`MenuDefinition` | `getMenuDefinitionFromFile(CustomizationContext customizationContext, String menuFile, String webAppName)` Getter for returning a single `MenuDefinition` object given a supplied menu definition identifier.
`MenuDefinitionId` | `getMenuDefinitionId(CustomizationContext customizationContext, String markupName, String webAppName)` Getter for returning a single `MenuDefinitionId` object given a supplied menu markup name.
`MenuDefinition[]` | `getMenuDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `MenuDefinitions` scoped to the supplied webapp.
`MenuView` | `getMenuView(CustomizationContext customizationContext, MenuDefinitionId menuDefinitionId)` Getter for returning an immutable deep copy of a `MenuView`.
`BookDefinition[]` | `getPublicBookDefinitions(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)` Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public and not currently on the users desktop.
`BookDefinition[]` | `getPublicBookDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public.
`BookDefinition[]` | `getPublicBookDefinitions(CustomizationContext customizationContext, String webapp, BookDefinitionId bookDefinitionId)` Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public and not currently in the supplied book (bookDefinitionId).
`BookDefinition[]` | `getPublicBookDefinitions(CustomizationContext customizationContext, String webapp, PageDefinitionId pageDefinitionId)` Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public aand not currently in the supplied page (pageDefinitionId).
`NavigableDefinition` | `moveNavigable(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId, BookDefinitionId fromParentBookDefinitionId, BookDefinitionId toParentBookDefinitionId, NavigableDefinitionId navigableDefinitionId, int position, int alignment)` Relocate the navigable definition to a new location.
`void` | `removeNavigable(CustomizationContext customizationContext, BookGroupId bookGroupId)` Remove a NavigableDefinition (BookDefinition or PageDefinition) from the specified book.
`void` | `setDefaultNavigable(CustomizationContext customizationContext, BookDefinitionId parentBookDefinitionId, NavigableDefinitionId navigableDefinitionId)` Set a navigable (book or page) on a parent page as the default page.
`void` | `setSessionContext(SessionContext sessionContext)`
`void` | `updateBookDefinition(CustomizationContext customizationContext, BookDefinition bookDefinition)` Update the persistent store for the supplied `BookDefinition`.
`void` | `updateMenuDefinition(CustomizationContext customizationContext, MenuDefinition menuDefinition)` Update the menu definition with the new data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### BookDefinitionManagerImpl

    public BookDefinitionManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getBookView

    public BookView getBookView(CustomizationContext customizationContext,
                                BookDefinitionId bookDefinitionId)

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning an immutable deep copy of a `BookView`. The `BookView` object, unlike the `BookDefinition` or the `BookInstance` objects contains a full set of references to all child pages, books and so on. The `BookView` object however is immutable.

  Specified by:
    `getBookView` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId.
    `bookDefinitionId` - the unique bookDefinitionId.
  Returns:
    an immutable deep copy BookView object if one exist, otherwise null.
  See Also:
    `IBookInstanceManager.getBookView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId, com.bea.netuix.application.identifier.BookInstanceId)`

### getBookDefinitions

    public BookDefinition[] getBookDefinitions(CustomizationContext customizationContext,
                                               String webapp)
                                        throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp.

  Specified by:
    `getBookDefinitions` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these book definitions are scoped to.
  Returns:
    an array of `BookDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `BookDefinition`

### getPublicBookDefinitions

    public BookDefinition[] getPublicBookDefinitions(CustomizationContext customizationContext,
                                                     String webapp)
                                              throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public.

  Specified by:
    `getPublicBookDefinitions` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these book definitions are scoped to.
  Returns:
    an array of fully populated and internationalized `BookDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `BookDefinition`

### getPublicBookDefinitions

    public BookDefinition[] getPublicBookDefinitions(CustomizationContext customizationContext,
                                                     DesktopDefinitionId desktopDefinitionId)
                                              throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public and not currently on the users desktop.

  Specified by:
    `getPublicBookDefinitions` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `desktopDefinitionId` - you wish to add any of these book definitions to.
  Returns:
    an array of fully populated and internationalized `BookDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `BookDefinition`

### getPublicBookDefinitions

    public BookDefinition[] getPublicBookDefinitions(CustomizationContext customizationContext,
                                                     String webapp,
                                                     PageDefinitionId pageDefinitionId)
                                              throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public aand not currently in the supplied page (pageDefinitionId).

  Specified by:
    `getPublicBookDefinitions` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these book definitions are scoped to.
    `pageDefinitionId` - you wish to add any of these book definitions to.
  Returns:
    an array of fully populated and internationalized `BookDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `BookDefinition`

### getPublicBookDefinitions

    public BookDefinition[] getPublicBookDefinitions(CustomizationContext customizationContext,
                                                     String webapp,
                                                     BookDefinitionId bookDefinitionId)
                                              throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a list of all `BookDefinitions` scoped to the supplied webapp and marked as public and not currently in the supplied book (bookDefinitionId).

  Specified by:
    `getPublicBookDefinitions` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these book definitions are scoped to.
    `bookDefinitionId` - you wish to add any of these book definitions to.
  Returns:
    an array of fully populated and internationalized `BookDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `BookDefinition`

### getBookDefinition

    public BookDefinition getBookDefinition(CustomizationContext customizationContext,
                                            BookDefinitionId bookDefinitionId)
                                     throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a single `BookDefinition` object given a supplied book definition identifier.

  Specified by:
    `getBookDefinition` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookDefinitionId` - the unique book definition identifier.
  Returns:
    a `BookDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `BookDefinition`

### getBookDefinition

    public BookDefinition getBookDefinition(CustomizationContext customizationContext,
                                            String definitionLabel,
                                            String webAppName)
                                     throws RemoteException

  Description copied from interface: `IBookDefinitionManager`

  Getter for returning a single `BookDefinition` object given a supplied book definition label.

  Specified by:
    `getBookDefinition` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `definitionLabel` - the unique book definition identifier.
    `webAppName` - the webapp this book is scoped to.
  Returns:
    a `BookDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `BookDefinition`

### deleteBookDefinition

    public void deleteBookDefinition(CustomizationContext customizationContext,
                                     BookDefinitionId bookDefinitionId)
                              throws RemoteException,
                                     ObjectNotFoundException,
                                     ObjectInUseException,
                                     NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Methof for deleting a `BookDefinition` object given a supplied book definition identifier. If the BookDefinition is in use by clients then a `ObjectInUseFound` exception is thrown.

  Specified by:
    `deleteBookDefinition` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookDefinitionId` - the unique book definition identifier.
  Throws:
    `ObjectInUseException` - if the book definition is in use by end users.
    `NotEntitledException` - no entitlements for this operation.
    `ObjectNotFoundException` - if the bookDefinitionId is bogus.
    `RemoteException`
  See Also:
    `BookDefinition`

### deleteBookDefinitionWithReplacement

    public void deleteBookDefinitionWithReplacement(CustomizationContext customizationContext,
                                                    BookDefinitionId deleteBookDefinitionId,
                                                    BookDefinitionId replacementBookDefinitionId)
                                             throws RemoteException,
                                                    ObjectNotFoundException,
                                                    NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Delete an existing book definition and if it is in use replace it's use with thesupplied book defintion.

  Note all customization of the deleted book will be lost.

  Specified by:
    `deleteBookDefinitionWithReplacement` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `deleteBookDefinitionId` - the definition id of the book to delete
    `replacementBookDefinitionId` - the definition id of the book to replace the deleted book.
  Throws:
    `NotEntitledException` - no entitlements for this operation.
    `ObjectNotFoundException` - if the bookDefinitionId is bogus.
    `RemoteException`
  See Also:
    `BookDefinition`

### deleteBookDefinitionWithCascade

    public void deleteBookDefinitionWithCascade(CustomizationContext customizationContext,
                                                BookDefinitionId bookDefinitionId)
                                         throws RemoteException,
                                                ObjectNotFoundException,
                                                NotEntitledException,
                                                ObjectInUseException

  Description copied from interface: `IBookDefinitionManager`

  Delete the `BookDefinition` of the supplied book definition identifier and and all `BookInstance` objects associated with this book definition. While this method will cascade delete all the user's and admin's customizations it will complain (`ObjectInUseException`) if the definition is the primary book of a desktop. In that case you may want to try deleteBookDefinitionWithReplacement().

  Specified by:
    `deleteBookDefinitionWithCascade` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookDefinitionId` - the unique book definition identifier of the book to delete.
  Throws:
    `ObjectInUseException` - if the book definition is the main book on a desktop.
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - if there is no BookDefinition associated with bookDefinitionId.
    `RemoteException`

### updateBookDefinition

    public void updateBookDefinition(CustomizationContext customizationContext,
                                     BookDefinition bookDefinition)
                              throws RemoteException,
                                     ObjectNotFoundException,
                                     NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Update the persistent store for the supplied `BookDefinition`. All attributes of the BookDefinition are updated in persistent store.

  Specified by:
    `updateBookDefinition` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookDefinition` - the object containing the new data for the book definition.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - the `BookDefinitionId` `RemoteException`

### addNavigable

    public NavigableInstance addNavigable(CustomizationContext customizationContext,
                                          BookDefinitionId bookDefinitionId,
                                          NavigableDefinitionId navigableDefinitionId,
                                          int position,
                                          int alignment,
                                          boolean isDefault)
                                   throws RemoteException,
                                          ObjectNotFoundException,
                                          NotEntitledException,
                                          IllegalDependencyException,
                                          DuplicateObjectException

  Description copied from interface: `IBookDefinitionManager`

  Add a Navigable definition (BookDefinition or PageDefinition) to an existing BookDefinition.

  Specified by:
    `addNavigable` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookDefinitionId` - the book definition to add the navigable to.
    `navigableDefinitionId` - the definition id of the navigable defintion from which to add.
    `position` - the position in the book (or menu) to insert this navigable (starts with 0)
    `alignment` - position the page from the left (top) or right (bottom)
  Returns:
    the Navigable instance which was created.
  Throws:
    `DuplicateObjectException` - if this navigable is already added to this book
    `IllegalDependencyException` - adding the Navigable to the BookDefinition would cause a recursive dependancy
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - BookDefinitionId or the NavigableDefinitionId are bogus.
    `RemoteException`
  See Also:
    `NavigableView.ALIGNMENT_LEFT`, `NavigableView.ALIGNMENT_RIGHT`

### moveNavigable

    public NavigableDefinition moveNavigable(CustomizationContext customizationContext,
                                             DesktopDefinitionId desktopDefinitionId,
                                             BookDefinitionId fromParentBookDefinitionId,
                                             BookDefinitionId toParentBookDefinitionId,
                                             NavigableDefinitionId navigableDefinitionId,
                                             int position,
                                             int alignment)
                                      throws RemoteException,
                                             ObjectNotFoundException,
                                             NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Relocate the navigable definition to a new location.

  Specified by:
    `moveNavigable` in interface `IBookDefinitionManager`
  Parameters:
    `desktopDefinitionId` - the desktop context to which this update applies.
    `fromParentBookDefinitionId` - the parent book definition id we are moving this navigable from.
    `toParentBookDefinitionId` - the parent book definition to move the navigable definition to.
    `navigableDefinitionId` - the identifier identifying the definition to move.
    `position` - the position in the book (or menu) to insert this navigable (starts with 0)
    `alignment` - position the page from the left (top) or right (bottom) reference the same book defnition.
  Returns:
    a reference to the newly positioned navigableDefinition
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - BookDefinitionId or the NavigableDefinitionId are bogus.
    `RemoteException`

### removeNavigable

    public void removeNavigable(CustomizationContext customizationContext,
                                BookGroupId bookGroupId)
                         throws RemoteException,
                                ObjectNotFoundException,
                                NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Remove a NavigableDefinition (BookDefinition or PageDefinition) from the specified book. This method does not delete the NavigableDefintion it just removes it from the book.

  Specified by:
    `removeNavigable` in interface `IBookDefinitionManager`
  Parameters:
    `bookGroupId` - the book group id of the navigable to be removed.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - if the navigable or book definition could not be found in persistent store.
    `RemoteException`

### setDefaultNavigable

    public void setDefaultNavigable(CustomizationContext customizationContext,
                                    BookDefinitionId parentBookDefinitionId,
                                    NavigableDefinitionId navigableDefinitionId)
                             throws RemoteException,
                                    ObjectNotFoundException,
                                    NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Set a navigable (book or page) on a parent page as the default page.

  Specified by:
    `setDefaultNavigable` in interface `IBookDefinitionManager`
  Parameters:
    `parentBookDefinitionId` - the book definition id of the parent book
    `navigableDefinitionId` - the child book or page definition id to become the new defualt page
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `ObjectNotFoundException` - if the navigable or book definition could not be found in persistent store.
    `RemoteException`

### createBookDefinition

    public BookDefinition createBookDefinition(CustomizationContext customizationContext,
                                               BookDefinition bookDefinition)
                                        throws RemoteException,
                                               MissingDataException,
                                               NotEntitledException

  Description copied from interface: `IBookDefinitionManager`

  Create a new book definition. Creates a new book definition in the persistent store. This definition may be used to create book instance later on.

  Specified by:
    `createBookDefinition` in interface `IBookDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `bookDefinition` - the book definition object containing all the required data.
  Returns:
    the fully populated BookDefinition object (with id's).
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this object.
    `MissingDataException` - if some vital information is missing from the BookDefinition.
    `RemoteException`

### getMenuView

    public MenuView getMenuView(CustomizationContext customizationContext,
                                MenuDefinitionId menuDefinitionId)
                         throws RemoteException

  Description copied from interface: `IMenuDefinitionManager`

  Getter for returning an immutable deep copy of a `MenuView`. The `MenuView` object, unlike the `MenuDefinition` or the `MenuInstance` objects contains a full set of references to all child pages, menus and so on. The `MenuView` object however is immutable.

  Specified by:
    `getMenuView` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `menuDefinitionId` - the unique menuDefinitionId.
  Returns:
    an immutable deep copy MenuView object if one exist, otherwise null.
    `RemoteException`

### getMenuDefinitions

    public MenuDefinition[] getMenuDefinitions(CustomizationContext customizationContext,
                                               String webapp)
                                        throws RemoteException

  Description copied from interface: `IMenuDefinitionManager`

  Getter for returning a list of all `MenuDefinitions` scoped to the supplied webapp.

  Specified by:
    `getMenuDefinitions` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `webapp` - the web application these menu definitions are scoped to.
  Returns:
    an array of `MenuDefinition` objects if they exist, otherwise, an empty array.
    `RemoteException`
  See Also:
    `MenuDefinition`

### getMenuDefinition

    public MenuDefinition getMenuDefinition(CustomizationContext customizationContext,
                                            MenuDefinitionId menuDefinitionId)
                                     throws RemoteException

  Description copied from interface: `IMenuDefinitionManager`

  Getter for returning a single `MenuDefinition` object given a supplied menu definition identifier.

  Specified by:
    `getMenuDefinition` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `menuDefinitionId` - the unique menu definition identifier.
  Returns:
    a `MenuDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `MenuDefinition`

### getMenuDefinitionFromFile

    public MenuDefinition getMenuDefinitionFromFile(CustomizationContext customizationContext,
                                                    String menuFile,
                                                    String webAppName)
                                             throws RemoteException

  Description copied from interface: `IMenuDefinitionManager`

  Getter for returning a single `MenuDefinition` object given a supplied menu definition identifier.

  Specified by:
    `getMenuDefinitionFromFile` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `menuFile` - the name of the .menu file
    `webAppName` - the name of the webapp as defined in the config.xml
  Returns:
    a `MenuDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
    `RemoteException`
  See Also:
    `MenuDefinition`

### createMenuDefinition

    public MenuDefinition createMenuDefinition(CustomizationContext customizationContext,
                                               MenuDefinition menuDefinition)
                                        throws RemoteException,
                                               MissingDataException,
                                               NotEntitledException

  Description copied from interface: `IMenuDefinitionManager`
  Creates a new MenuView Definition with its placeholders.

  Specified by:
    `createMenuDefinition` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `menuDefinition` - the menu data and associated placeholders
  Returns:
    a fully populated MenuDefinition
  Throws:
    `NotEntitledException` - the caller is not entitled to create a new menu.
    `MissingDataException` - the menuDefiniiton supplied as an argument is missing some vital data.
    `RemoteException`

### updateMenuDefinition

    public void updateMenuDefinition(CustomizationContext customizationContext,
                                     MenuDefinition menuDefinition)
                              throws RemoteException,
                                     ObjectNotFoundException,
                                     NotEntitledException

  Description copied from interface: `IMenuDefinitionManager`

  Update the menu definition with the new data.

  Specified by:
    `updateMenuDefinition` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `menuDefinition` - the menu definition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `RemoteException`
    `NotEntitledException`

### deleteMenuDefinition

    public void deleteMenuDefinition(CustomizationContext customizationContext,
                                     MenuDefinitionId menuDefinitionId)
                              throws RemoteException,
                                     ObjectNotFoundException,
                                     ObjectInUseException,
                                     NotEntitledException

  Description copied from interface: `IMenuDefinitionManager`

  Delete a menu definition.

  Specified by:
    `deleteMenuDefinition` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `menuDefinitionId` - the id of the menu definition to delete.
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectInUseException` - if page instances are currently using this menu
    `ObjectNotFoundException` - if the menuDefinitionId is bogus
    `RemoteException`
  See Also:
    `IMenuDefinitionManager.deleteMenuDefinitionWithReplacement(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.MenuDefinitionId, com.bea.netuix.application.identifier.MenuDefinitionId)`

### deleteMenuDefinitionWithReplacement

    public void deleteMenuDefinitionWithReplacement(CustomizationContext customizationContext,
                                                    MenuDefinitionId deleteMenuDefinitionId,
                                                    MenuDefinitionId replacementMenuDefinitionId)
                                             throws RemoteException,
                                                    ObjectNotFoundException,
                                                    NotEntitledException

  Description copied from interface: `IMenuDefinitionManager`

  Delete a menu definition and replace any uses of that menu with a replacement menu. This method is useful for deleting a menu that is in use by book instances and not having to delete those book instances.

  Specified by:
    `deleteMenuDefinitionWithReplacement` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `deleteMenuDefinitionId` - the id of the menu definition to delete.
    `replacementMenuDefinitionId` - the id of the replacement menu
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectNotFoundException` - if either of the menuDefinitionIds are bogus
    `RemoteException`
  See Also:
    `IMenuDefinitionManager.deleteMenuDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.MenuDefinitionId)`

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId(CustomizationContext customizationContext,
                                                String markupName,
                                                String webAppName)
                                         throws RemoteException

  Description copied from interface: `IMenuDefinitionManager`

  Getter for returning a single `MenuDefinitionId` object given a supplied menu markup name.

  Specified by:
    `getMenuDefinitionId` in interface `IMenuDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId
    `markupName` - the markup name attribute supplied on the tag,
    `webAppName` - as defined in the config.xml
  Returns:
    menuDefinitionId the unique menu definition identifier or null if none exist.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved